Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::TextCollisionSaver Class Reference

テキストコリジョンセーバ More...

`#include <TextCollisionSaver.h>`

List of all members.

## Public Member Functions
| TextCollisionSaver ()
| コンストラクタ
virtual | ~TextCollisionSaver ()
| デストラクタ
virtual void | save (const String &filePath, CollisionScene *scene)
| セーブ
virtual void | save (TextWriter *textWriter, CollisionScene *scene)
| セーブ
## Protected Member Functions
virtual void | writeHeader ()
| ヘッダの書き出し
virtual void | writeCollisionNode (CollisionNode *node)
| コリジョンノードの書き出し
virtual void | writeCollisionLeaf (CollisionLeaf *leaf, const String &type)
| コリジョンリーフの書き出し
virtual void | writeStaticSphereCollision (StaticSphereCollision *sphere)
| 静的球コリジョンの書き出し
virtual void | writeStaticDeformedMeshCollision (StaticDeformedMeshCollision *mesh)
| 静的変形メッシュコリジョンの書き出し
virtual void | writeCollisionNodeLink (CollisionNode *node)
| コリジョンノードリンクの書き出し
virtual void | writeBool (bool)
| boolの書き出し
virtual void | writeLineComment ()
| 線コメントの書き出し
virtual void | writeBlockComment (const String &blockName)
| ブロックコメントの書き出し
## Protected Attributes
TextWriter * | writer_
| ライタ
CollisionScene * | scene_
| シーン

## Detailed Description

テキストコリジョンセーバ

Definition at line 41 of file TextCollisionSaver.h.

## Member Function Documentation

void Lamp::TextCollisionSaver::save | ( | TextWriter * | textWriter,
|  | CollisionScene * | scene
| ) | `[virtual]`

  | セーブ Parameters:
  textWriter | テキストライタ
  scene | セーブするシーン
  basePath | ベースパス
Definition at line 52 of file TextCollisionSaver.cpp. References Lamp::CollisionObject::castStaticDeformedMeshCollision(), Lamp::CollisionObject::castStaticSphereCollision(), ErrorOut, Lamp::String::getBytes(), Lamp::CollisionScene::getLeaf(), Lamp::CollisionScene::getLeafCount(), Lamp::CollisionObject::getName(), Lamp::CollisionScene::getNode(), Lamp::CollisionScene::getNodeCount(), Lamp::CollisionObject::isStaticDeformedMeshCollision(), Lamp::CollisionObject::isStaticSphereCollision(), scene_, writeBlockComment(), writeCollisionNode(), writeCollisionNodeLink(), writeHeader(), writeLineComment(), writer_, writeStaticDeformedMeshCollision(), writeStaticSphereCollision(), and Lamp::TextWriter::writeText().

void Lamp::TextCollisionSaver::save | ( | const String & | filePath,
|  | CollisionScene * | scene
| ) | `[virtual]`

  | セーブ Parameters:
  filePath | ファイルパス
  scene | セーブするシーン
Definition at line 45 of file TextCollisionSaver.cpp.

void Lamp::TextCollisionSaver::writeBlockComment | ( | const String & | blockName | ) | `[protected, virtual]`

  | ブロックコメントの書き出し Parameters:
  blockName | ブロック名
Definition at line 246 of file TextCollisionSaver.cpp. References writeLineComment(), writer_, and Lamp::TextWriter::writeText(). Referenced by save(), and writeHeader().

void Lamp::TextCollisionSaver::writeCollisionLeaf | ( | CollisionLeaf * | leaf,
|  | const String & | type
| ) | `[protected, virtual]`

  | コリジョンリーフの書き出し Parameters:
  leaf | 書き出すコリジョンリーフ
  type | リーフタイプ
Definition at line 144 of file TextCollisionSaver.cpp. References Lamp::String::getBytes(), Lamp::CollisionLeaf::getCollisionMask(), Lamp::CollisionObject::getName(), Lamp::CollisionObject::isEnabled(), writeBool(), Lamp::TextWriter::writeFormat(), writer_, and Lamp::TextWriter::writeText(). Referenced by writeStaticDeformedMeshCollision(), and writeStaticSphereCollision().

void Lamp::TextCollisionSaver::writeCollisionNode | ( | CollisionNode * | node | ) | `[protected, virtual]`

  | コリジョンノードの書き出し Parameters:
  node | 書き出すコリジョンノード
Definition at line 116 of file TextCollisionSaver.cpp. References Lamp::String::getBytes(), Lamp::CollisionObject::getName(), Lamp::CollisionNode::getRotationXYZ(), Lamp::CollisionNode::getScale(), Lamp::CollisionNode::getTranslation(), Lamp::CollisionObject::isEnabled(), writeBool(), Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by save().

void Lamp::TextCollisionSaver::writeCollisionNodeLink | ( | CollisionNode * | node | ) | `[protected, virtual]`

  | コリジョンノードリンクの書き出し Parameters:
  node | 書き出すコリジョンノード
Definition at line 213 of file TextCollisionSaver.cpp. References Lamp::String::getBytes(), Lamp::CollisionNode::getChild(), Lamp::CollisionNode::getChildCount(), Lamp::CollisionObject::getName(), Lamp::CollisionObject::isCollisionNode(), Lamp::TextWriter::writeFormat(), writer_, and Lamp::TextWriter::writeText(). Referenced by save().

void Lamp::TextCollisionSaver::writeStaticDeformedMeshCollision | ( | StaticDeformedMeshCollision * | mesh | ) | `[protected, virtual]`

  | 静的変形メッシュコリジョンの書き出し Parameters:
  mesh | 書き出す静的変形メッシュコリジョン
Definition at line 174 of file TextCollisionSaver.cpp. References Lamp::StaticDeformedMeshCollision::getBoundingBox(), Lamp::StaticDeformedMeshCollision::getBoundingSphere(), Lamp::Sphere::getCenter(), Lamp::AxisAlignedBox::getMaximum(), Lamp::AxisAlignedBox::getMinimum(), Lamp::Sphere::getRadius(), Lamp::StaticDeformedMeshCollision::getTriangle(), Lamp::StaticDeformedMeshCollision::getTriangleCount(), Lamp::Triangle::getVertex(), writeCollisionLeaf(), Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by save().

void Lamp::TextCollisionSaver::writeStaticSphereCollision | ( | StaticSphereCollision * | sphere | ) | `[protected, virtual]`

  | 静的球コリジョンの書き出し Parameters:
  sphere | 書き出す静的球コリジョン
Definition at line 163 of file TextCollisionSaver.cpp. References Lamp::StaticSphereCollision::getCenter(), Lamp::StaticSphereCollision::getRadius(), writeCollisionLeaf(), Lamp::TextWriter::writeFormat(), writer_, Lamp::TextWriter::writeText(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by save().

The documentation for this class was generated from the following files:

- TextCollisionSaver.h
- TextCollisionSaver.cpp